# ando 🌔
[![License: MIT](https://img.shields.io/badge/packager-pypak-dbd3cd.svg)](https://github.com/concurrent-studio/pypak) [![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black) [![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT) ![PyPI](https://img.shields.io/pypi/v/ando)

Manipulate, scrape, and analyze visual media
[CONCURRENT STUDIO™](https://www.concurrent.studio)


## ⏳ Installation
### 🐍 Pip
```bash
pip3 install ando
```

### 🗃 Source
```bash
git clone https://github.com/concurrent-studio/ando.git
cd ando
pip3 install -e .
```

## Documentation 
A brief description of modules and submodules exists below.  
For ruther information, see the [usage guide](https://concurrent-studio.github.io/ando/).

### 📦 Modules + Submodules
##### Usage
```python
import ando
```

##### Components
- Color
    - `color_delta`
        - Compute the percent difference between two given colors
    - `get_colors`
        - Get a color palette from a given image
-  Face
    - `get_faces`
        - Get all faces from an image
    - `get_eyes`
        - Get all eyes from an image
    - `get_landmarks`
        - Get facial landmarks from an image
    - `average_faces`
        - Compute the average of all faces in a directory
- Face3D
    - `face_to_3d`
        - Turn a 2D image of a face into a 3D object
- I/O
    - `download`
        - Download an image or video from a url
    - `write_points_to_disk`
        - Write a list of points to disk
    - `get_points_from_disk`
        - Get points saved through above function
    - `load_png`
        - Load a png file by switching out alpha channel for a color
- Transform
    - `draw_points_on_image`
        - Draw a set of points on top of an image
    - `draw_rect_on_image`
        - Draw a rectangle on top of an image
    - `create_collage`
        - Create a collage from a list of images